
#include <Spectre/Display/GLContext.h>

#ifdef SPECTRE_PLATFORM_WIN
#include <Platform/Win32/Win32GLContext.h>
typedef sp::Win32GLContext ContextType;
#elif SPECTRE_PLATFORM_UNIX
#include <Platform/Unix/GLXContext.h>
typedef sp::GLXContext ContextType;
#else
#error "No GLContext implementation exists"
#endif

namespace sp {

GLContext* GLContext::create()
{
	return new ContextType();
}

GLContext::~GLContext()
{
	// Nothing to do.
}

} // namespace sp
